import 'package:flutter_test/flutter_test.dart';
import 'package:protonimage/protonimage.dart';
import 'package:flutter/material.dart';

void main() {
  testWidgets('ProtonImage widget test', (WidgetTester tester) async {
    await tester.pumpWidget(
      MaterialApp(
        home: ProtonImage(
          path: 'https://example.com/image.jpg',
          height: 200,
          radius: 20,
        ),
      ),
    );

    expect(find.byType(ProtonImage), findsOneWidget);

    expect(find.byType(Image), findsOneWidget);
  });
}
